// {{{RME classifier 'Logical View::VANT::VCTRL::VPOTE::Bus_Power_Protocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "Bus_Power_Protocol.h"
#endif

#include <RTSystem/VANT.h>
#include <Bus_Power_Protocol.h>

const RTProtocolDescriptor Bus_Power_Protocol::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &Bus_Power_Protocol::Conjugate::rt_class
  , "Bus_Power_Protocol"
  , 0
  , 4
  , Bus_Power_Protocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Bus_Power_Protocol::Base::rt_signals[] =
{
	{
		"request_manete_status"
	  , &RTType_void
	  , Bus_Power_Protocol::Base::rti_request_manete_status
	}
  , {
		"request_value_power"
	  , &RTType_void
	  , Bus_Power_Protocol::Base::rti_request_value_power
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , Bus_Power_Protocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Bus_Power_Protocol::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor Bus_Power_Protocol::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &Bus_Power_Protocol::Base::rt_class
  , "Bus_Power_Protocol"
  , 0
  , 4
  , Bus_Power_Protocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Bus_Power_Protocol::Conjugate::rt_signals[] =
{
	{
		"manete_status"
	  , &RTType_int
	  , Bus_Power_Protocol::Conjugate::rti_manete_status
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , Bus_Power_Protocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Bus_Power_Protocol::Conjugate::rti_rtUnbound
	}
  , {
		"value_power"
	  , &RTType_int
	  , Bus_Power_Protocol::Conjugate::rti_value_power
	}
};

// }}}RME
