// {{{RME classifier 'Logical View::VANT::VCNS::VNAV::Navigation_Plan'

#ifndef Navigation_Plan_H
#define Navigation_Plan_H

#ifdef PRAGMA
#pragma interface "Navigation_Plan.h"
#endif

#include <RTSystem/VANT.h>
#include <Navigation_Plan_Protocol.h>
class Coordinate;
class Navigation_Data_Out;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass Navigation_Plan;

#define SUPER RTActor
class Navigation_Plan_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'to_controller'
	Navigation_Plan_Protocol::Conjugate to_controller;
	// }}}RME

public:
	Navigation_Plan_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~Navigation_Plan_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Active:J436F5E70035D:traj_plan'
	INLINE_METHODS void transition2_traj_plan( const int * rtdata, Navigation_Plan_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_traj_plan( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Navigation_Plan_H */

// }}}RME
