// {{{RME classifier 'Logical View::VANT::Common::RW_VANT'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RW_VANT.h"
#endif

#include <RTSystem/VANT.h>
#include <RW_VANT.h>

const RTProtocolDescriptor RW_VANT::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &RW_VANT::Conjugate::rt_class
  , "RW_VANT"
  , 0
  , 4
  , RW_VANT::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RW_VANT::Base::rt_signals[] =
{
	{
		"Read"
	  , &RTType_char
	  , RW_VANT::Base::rti_Read
	}
  , {
		"Write"
	  , &RTType_RW_BAR
	  , RW_VANT::Base::rti_Write
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RW_VANT::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RW_VANT::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor RW_VANT::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &RW_VANT::Base::rt_class
  , "RW_VANT"
  , 0
  , 3
  , RW_VANT::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RW_VANT::Conjugate::rt_signals[] =
{
	{
		"ReadOUT"
	  , &RTType_RW_BAR
	  , RW_VANT::Conjugate::rti_ReadOUT
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RW_VANT::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RW_VANT::Conjugate::rti_rtUnbound
	}
};

// }}}RME
