// {{{RME classifier 'Logical View::VANT::VSUP::VSEL::VSEL_PowerControl'

#ifndef VSEL_PowerControl_H
#define VSEL_PowerControl_H

#ifdef PRAGMA
#pragma interface "VSEL_PowerControl.h"
#endif

#include <RTSystem/VANT.h>
#include <vsel_protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VSEL_PowerControl;

#define SUPER RTActor
class VSEL_PowerControl_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'intInterval'
	int intInterval;
	// }}}RME

protected:
	// {{{RME port 'timer'
	Timing::Base timer;
	// }}}RME
	// {{{RME port 'vsel_internal'
	vsel_protocol::Conjugate vsel_internal;
	// }}}RME

public:
	VSEL_PowerControl_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VSEL_PowerControl_Actor( void );

protected:
	// {{{RME operation 'Consumer()'
	void Consumer( void );
	// }}}RME

public:
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Initial:Initial'
	INLINE_METHODS void transition1_Initial( const void * rtdata, RTProtocol * rtport );
	// }}}RME
	// {{{RME transition ':TOP:consumer:J4357DB08013A:life'
	INLINE_METHODS void transition2_life( const void * rtdata, Timing::Base * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_life( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_VSEL_PowerControl_fields[];
};
#undef SUPER

// {{{RME classAttribute 'intBatteryCarga'
extern int intBatteryCarga;
// }}}RME

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VSEL_PowerControl_H */

// }}}RME
