// {{{RME classifier 'Logical View::VANT::VCNS::VVIG::cap_VVIG'

#ifndef cap_VVIG_H
#define cap_VVIG_H

#ifdef PRAGMA
#pragma interface "cap_VVIG.h"
#endif

#include <RTSystem/VANT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_VVIG;

#define SUPER RTActor
class cap_VVIG_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'image_Controller'
	RTActorRef image_Controller;
	// }}}RME
	// {{{RME capsuleRole 'image_Device'
	RTActorRef image_Device;
	// }}}RME
	// {{{RME capsuleRole 'image_Processor'
	RTActorRef image_Processor;
	// }}}RME
	// {{{RME capsuleRole 'image_Classifier'
	RTActorRef image_Classifier;
	// }}}RME

public:
	cap_VVIG_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_VVIG_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_VVIG_H */

// }}}RME
