// {{{RME classifier 'Logical View::VANT::VCNS::VVIG::Image_Classifier'

#ifndef Image_Classifier_H
#define Image_Classifier_H

#ifdef PRAGMA
#pragma interface "Image_Classifier.h"
#endif

#include <RTSystem/VANT.h>
#include <Image_Classifier_Protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass Image_Classifier;

#define SUPER RTActor
class Image_Classifier_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'to_controller'
	Image_Classifier_Protocol::Conjugate to_controller;
	// }}}RME

public:
	Image_Classifier_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~Image_Classifier_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Active:J4367A1A701B7:t1'
	INLINE_METHODS void transition2_t1( const void * rtdata, Image_Classifier_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_t1( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Image_Classifier_H */

// }}}RME
