// {{{RME classifier 'Logical View::VANT::VCNS::VVIG::Image_Processor'

#ifndef Image_Processor_H
#define Image_Processor_H

#ifdef PRAGMA
#pragma interface "Image_Processor.h"
#endif

#include <RTSystem/VANT.h>
#include <Image_Processor_Protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass Image_Processor;

#define SUPER RTActor
class Image_Processor_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'to_controller'
	Image_Processor_Protocol::Conjugate to_controller;
	// }}}RME

public:
	Image_Processor_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~Image_Processor_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Active:J4367A15D010B:process_image'
	INLINE_METHODS void transition2_process_image( const void * rtdata, Image_Processor_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_process_image( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Image_Processor_H */

// }}}RME
