// {{{RME classifier 'Logical View::VANT::VCNS::VNAV::Navigation_Data_Out'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "Navigation_Data_Out.h"
#endif

#include <RTSystem/VANT.h>
#include <Navigation_Data_Out.h>
#include <Coordinate.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static void rtg_Navigation_Data_Out_init( const RTObject_class * type, Navigation_Data_Out * target )
{
	(void)new( target ) Navigation_Data_Out;
}

static void rtg_Navigation_Data_Out_copy( const RTObject_class * type, Navigation_Data_Out * target, const Navigation_Data_Out * source )
{
	(void)new( target ) Navigation_Data_Out( *source );
}

static void rtg_Navigation_Data_Out_destroy( const RTObject_class * type, Navigation_Data_Out * target )
{
	target->~Navigation_Data_Out();
}

const RTTypeModifier rtg_tm_Navigation_Data_Out_Trajectory =
{
	RTNumberConstant
  , 1
  , 1
};

const RTFieldDescriptor rtg_Navigation_Data_Out_fields[] =
{
	// {{{RME classAttribute 'DeltaS'
	{
		"DeltaS"
	  , RTOffsetOf( Navigation_Data_Out, DeltaS )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Velocity'
  , {
		"Velocity"
	  , RTOffsetOf( Navigation_Data_Out, Velocity )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Trajectory'
  , {
		"Trajectory"
	  , RTOffsetOf( Navigation_Data_Out, Trajectory )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_Coordinate
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , &rtg_tm_Navigation_Data_Out_Trajectory
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Number_Coordinates_Trajectory'
  , {
		"Number_Coordinates_Trajectory"
	  , RTOffsetOf( Navigation_Data_Out, Number_Coordinates_Trajectory )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
};

const RTObject_class RTType_Navigation_Data_Out =
{
	(const RTObject_class *)0
  , (RTSuperAccessFunction)0
  , "Navigation_Data_Out"
  , (RTVersionId)0
  , (RTFieldOffset)sizeof( Navigation_Data_Out )
  , (RTInitFunction)rtg_Navigation_Data_Out_init
  , (RTCopyFunction)rtg_Navigation_Data_Out_copy
#if OBJECT_DECODE
  , RTstruct_decode
#endif
#if OBJECT_ENCODE
  , RTstruct_encode
#endif
  , (RTDestroyFunction)rtg_Navigation_Data_Out_destroy
  , 4
  , rtg_Navigation_Data_Out_fields
};

// {{{RME classAttribute 'Future_Position'
Coordinate Navigation_Data_Out::Future_Position;
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
Navigation_Data_Out::Navigation_Data_Out( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
Navigation_Data_Out::~Navigation_Data_Out( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
Navigation_Data_Out::Navigation_Data_Out( const Navigation_Data_Out & rtg_arg )
	: DeltaS( rtg_arg.DeltaS )
	, Velocity( rtg_arg.Velocity )
	, Trajectory( rtg_arg.Trajectory )
	, Number_Coordinates_Trajectory( rtg_arg.Number_Coordinates_Trajectory )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
Navigation_Data_Out & Navigation_Data_Out::operator=( const Navigation_Data_Out & rtg_arg )
{
	if( this != &rtg_arg )
	{
		DeltaS = rtg_arg.DeltaS;
		Velocity = rtg_arg.Velocity;
		Trajectory = rtg_arg.Trajectory;
		Number_Coordinates_Trajectory = rtg_arg.Number_Coordinates_Trajectory;
	}
	return *this;
}
// }}}RME

#if OBJECT_DECODE
RTTypeInstaller rtg_Navigation_Data_Out_installer( RTType_Navigation_Data_Out );
#endif

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
