// {{{RME classifier 'Logical View::VANT::VSUP::VBAD::VBAD_MI'

#ifndef VBAD_MI_H
#define VBAD_MI_H

#ifdef PRAGMA
#pragma interface "VBAD_MI.h"
#endif

#include <RTSystem/VANT.h>
#include <VBAD_PInterface.h>
extern const RTActorClass VBAD_RW;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR
#include <stdio.h>
// }}}USR
// }}}RME

extern const RTActorClass VBAD_MI;

#define SUPER RTActor
class VBAD_MI_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'charIdTaskAtual'
	char charIdTaskAtual;
	// }}}RME
	// {{{RME classAttribute 'charIdTaskOld'
	char charIdTaskOld;
	// }}}RME

protected:
	// {{{RME port 'mi_port'
	VBAD_PInterface::Conjugate mi_port;
	// }}}RME

public:
	VBAD_MI_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VBAD_MI_Actor( void );

protected:
	// {{{RME operation 'InterruptMonitor()'
	bool InterruptMonitor( void );
	// }}}RME

public:
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Waiting:J434E99B7034C:t_verify_priority'
	INLINE_METHODS void transition2_t_verify_priority( const void * rtdata, VBAD_PInterface::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:verify_priorit_high:True'
	INLINE_METHODS void transition3_True( const void * rtdata, VBAD_PInterface::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:verify_priorit_high:False'
	INLINE_METHODS void transition4_False( const void * rtdata, VBAD_PInterface::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:ExecuteTask:J434E9B1F02CF:t_return'
	INLINE_METHODS void transition5_t_return( const void * rtdata, RTProtocol * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_t_verify_priority( void );

protected:
	// {{{RME choicePoint ':TOP:verify_priorit_high'
	INLINE_METHODS int choicePoint1_verify_priorit_high( const void * rtdata, VBAD_PInterface::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain3_True( void );
	INLINE_CHAINS void chain4_False( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_VBAD_MI_fields[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VBAD_MI_H */

// }}}RME
