// {{{RME classifier 'Logical View::VANT::VCTRL::VCONT::VCONT'

#ifndef VCONT_H
#define VCONT_H

#ifdef PRAGMA
#pragma interface "VCONT.h"
#endif

#include <RTSystem/VANT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VCONT;

#define SUPER RTActor
class VCONT_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'flightControl'
	RTActorRef flightControl;
	// }}}RME
	// {{{RME capsuleRole 'aileron'
	RTActorRef aileron;
	// }}}RME
	// {{{RME capsuleRole 'elevator'
	RTActorRef elevator;
	// }}}RME
	// {{{RME capsuleRole 'flap'
	RTActorRef flap;
	// }}}RME
	// {{{RME capsuleRole 'rudder'
	RTActorRef rudder;
	// }}}RME

public:
	VCONT_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VCONT_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VCONT_H */

// }}}RME
