// {{{RME classifier 'Logical View::VANT::VSUP::Common_VSUP::vbad_inheritance'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "vbad_inheritance.h"
#endif

#include <RTSystem/VANT.h>
#include <vbad_inheritance.h>

const RTProtocolDescriptor vbad_inheritance::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &vbad_inheritance::Conjugate::rt_class
  , "vbad_inheritance"
  , 0
  , 2
  , vbad_inheritance::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor vbad_inheritance::Base::rt_signals[] =
{
	{
		"rtBound"
	  , (const RTObject_class *)0
	  , vbad_inheritance::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , vbad_inheritance::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor vbad_inheritance::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &vbad_inheritance::Base::rt_class
  , "vbad_inheritance"
  , 0
  , 4
  , vbad_inheritance::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor vbad_inheritance::Conjugate::rt_signals[] =
{
	{
		"read"
	  , &RTType_char
	  , vbad_inheritance::Conjugate::rti_read
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , vbad_inheritance::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , vbad_inheritance::Conjugate::rti_rtUnbound
	}
  , {
		"write"
	  , &RTType_char
	  , vbad_inheritance::Conjugate::rti_write
	}
};

// }}}RME
